Dimensions have huge X's in PaperSpace

I've attached a screenshot of what's happening, but in Paper Space I'm getting big X's at the insertion points of my dimensions. This is only happening in Paper Space and only on older Layouts, things I've drawn within the past week or so are displaying dimensions normally. My gut says it has to do with DimStyles, but thought someone here might be able to point me in the right direction. I'm still pretty new to Brics after working some in AutoCad and Vectorworks so any help will be much appreciated!

Thanks,
Chase

Best Answer

  • Roy Klein Gebbinck
    Accepted Answer

    The OP has most likely renamed the Defpoints layer after creating the dimensions.

Answers

  • Looks to me like PDMODE is set to 3. PDMODE = 0 shoud conceal them. If this is point objects that you don't need to keep you could run this:

    [code]
    (defun c:KD ( / deleted enames fuzz memb retained selset)

    (setq deleted 0
    retained 0
    fuzz (* (getvar "dimscale") 0.001)
    )
    (setvar "cmdecho" 0)
    (command "._undo" "end")
    (command "._undo" "begin")
    (if (setq selset (ssget "X" '((0 . "LINE,LWPOLYLINE,POLYLINE,SPLINE,TEXT,POINT"))))
    (progn
    (setq enames (vle-selectionset->list selset))
    (foreach memb enames
    (cond ( (member (vle-entget 0 memb) '("LINE","SPLINE","LWPOLYLINE","POLYLINE"))
    (if (< (vle-curve-getperimeter memb) fuzz)
    (if (vl-catch-all-error-p
    (vl-catch-all-apply
    'vla-delete
    (list (vlax-ename->vla-object memb))
    )
    )
    (setq retained (1+ retained))
    (setq deleted (1+ deleted))
    )
    )
    )
    ( (= (vle-entget 0 memb) "TEXT")
    (if (wcmatch (vle-entget 1 memb) ", ")
    (if (vl-catch-all-error-p
    (vl-catch-all-apply
    'vla-delete
    (list (vlax-ename->vla-object memb))
    )
    )
    (setq retained (1+ retained))
    (setq deleted (1+ deleted))
    )
    )
    )
    ( (= (vle-entget 0 memb) "POINT")
    (if (vl-catch-all-error-p
    (vl-catch-all-apply
    'vla-delete
    (list (vlax-ename->vla-object memb))
    )
    )
    (setq retained (1+ retained))
    (setq deleted (1+ deleted))
    )
    )
    )
    )
    (cond ( (and (= deleted 0)
    (= retained 0)
    )
    (prompt "No dots found")
    )
    ( T
    (princ (strcat "\nDeleted " (LM:rtos deleted 2 0) " dots"))
    (if (> retained 0)
    (princ (strcat "\nUnable to delete " (LM:rtos retained 2 0) " dots"))
    )
    )
    )
    )
    )
    (princ)
    )
    [/code]

  • I think that was it, thank you both very much!

Sign In or Register to comment.

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!